<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Engine_Service_Iframely_Host_Self extends Engine_Service_Iframely_Host
{
  /**
   * Constructor
   *
   * @param array $options
   */
  public function __construct($options = array())
  {
    if( empty($options['baseUrl']) ) {
      throw new Engine_Service_Iframely_Exception('Base URL does not exist.');
    }
    parent::__construct($options);
  }

}
